<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:op="utc.fr:ics/opale3" xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:xalan="http://xml.apache.org/xalan" xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0" xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:java="http://xml.apache.org/xslt/java" xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns="" exclude-result-prefixes="op table sp xalan office style svg sl fo xlink text scodPp sc  " >
<xsl:output xmlns:xsl="http://www.w3.org/1999/XSL/Transform" omit-xml-declaration="yes" indent="no" method="xml"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vAgent"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vDialog"/><xsl:variable xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="getIdNode(ancestor-or-self::op:pb[1])" name="idRootAgt"/><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:pb"><xsl:choose><xsl:when test="checkNoCycleAgent()">
		<xsl:apply-templates mode="N8"/>
	</xsl:when><xsl:otherwise/></xsl:choose></xsl:template><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="N8" match="*"/><!--# info--><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="N8" match="sp:info"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('widget_Nc_', generate-id()))"/>
			</xsl:template><!--# def--><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="N8" match="sp:def"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('widget_N22_', generate-id()))"/>
			</xsl:template><!--# ex--><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="N8" match="sp:ex"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('widget_N4a_', generate-id()))"/>
			</xsl:template><!--# rem--><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="N8" match="sp:rem"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('widget_N72_', generate-id()))"/>
			</xsl:template><!--# adv--><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="N8" match="sp:adv"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('widget_N9a_', generate-id()))"/>
			</xsl:template><!--# warning--><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="N8" match="sp:warning"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('widget_Nc2_', generate-id()))"/>
			</xsl:template><!--# comp--><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="N8" match="sp:comp"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('widget_Nea_', generate-id()))"/>
			</xsl:template><!--# meth--><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="N8" match="sp:meth"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('widget_N112_', generate-id()))"/>
			</xsl:template><!--# remind--><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="N8" match="sp:remind"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('widget_N13a_', generate-id()))"/>
			</xsl:template><!--# basic--><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="N8" match="sp:basic"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('widget_N162_', generate-id()))"/>
			</xsl:template><!--# syntax--><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="N8" match="sp:syntax"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('widget_N18a_', generate-id()))"/>
			</xsl:template><!--# legal--><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="N8" match="sp:legal"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('widget_N1b2_', generate-id()))"/>
			</xsl:template><!--# simul--><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="N8" match="sp:simul"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('widget_N1da_', generate-id()))"/>
			</xsl:template><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="*"/></xsl:stylesheet>